xpcom -- invalid classid

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

xpcom -- invalid classid

crayne
I have an xpcom that works perfectly in Windows XP.  I recompiled it
using gcc for Linux.  Now when I try to access the xpcom, I get the
message "Invalid ClassID or ContractID".  I suspect that I'm missing a
linker flag.  Any ideas?  Thanks.



_______________________________________________
Mozilla-xpcom mailing list
[hidden email]
http://mail.mozilla.org/listinfo/mozilla-xpcom
Reply | Threaded
Open this post in threaded view
|

Re: xpcom -- invalid classid

crayne
more info:  I am using Firefox 1.0.7, and I think the gecko sdk is 1.7.

"Susan Crayne" <[hidden email]> wrote in message
news:[hidden email]...
> I have an xpcom that works perfectly in Windows XP.  I recompiled it
> using gcc for Linux.  Now when I try to access the xpcom, I get the
> message "Invalid ClassID or ContractID".  I suspect that I'm missing a
> linker flag.  Any ideas?  Thanks.
>
>
>


_______________________________________________
Mozilla-xpcom mailing list
[hidden email]
http://mail.mozilla.org/listinfo/mozilla-xpcom